%global momorel 3
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr
%global realname KGRUBEditor

Name:           kgrubeditor
Version:        0.8.5
Release:        %{momorel}m%{?dist}
Summary:        A grub's configuration file editor for KDE
Group:          Applications/System
License:        GPLv2+
URL:            http://sourceforge.net/projects/kgrubeditor/
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{realname}-%{version}b-src.tar.bz2
NoSource:	0
Patch0:		%{name}-0.8.1-momonga.patch
Patch1:		%{name}-0.8.5b-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	grub
Requires:	kdebase
Requires:	kdebase-runtime
BuildRequires:  kdelibs-devel
BuildRequires:  cmake >= 2.4.8-5m

%description
KGRUBEditor is a KDE utility, that edits GRUB's configuration files through an inituitive user interface. 
It combines both ease of use with flexibility and is the perfect solution for those who want to configure GRUB, 
without messing with its files.

%prep
%setup -q -n %{name}-%{version}b

%patch0 -p1 -b .grub.conf
%patch1 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DENABLE_KCM=on \
	-DENABLE_APP=on \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INSTALL README
%{_kde4_libdir}/kde4/%{name}.so
%{_kde4_datadir}/applications/kde4/%{name}*.desktop
%{_kde4_appsdir}/%{name}
%{_kde4_configdir}/%{name}_splash.knsrc
%{_kde4_datadir}/config.kcfg/%{name}*
%{_kde4_datadir}/kde4/services/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.5-3m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.5-2m)
- update Patch1 for fuzz=0
- License: GPLv2+

* Mon Sep 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.5-1m)
- update to 0.8.5b

* Mon Sep  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-4m)
- update desktop.patch

* Mon Sep  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-3m)
- change configuration file from menu.lst to grub.conf
- use %%{cmake_kde4} again
- modify desktop files

* Sat Aug 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-2m)
- add Requires: kdebase
- add Requires: kdebase-runtime
- use %%{cmake} instead of %%{cmake_kde4}

* Thu Aug 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Tue Aug 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8-1m)
- update to 0.8

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7-2m)
- rebuild against qt-4.4.0-1m

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7-1m)
- update to 0.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-2m)
- rebuild against gcc43

* Sat Mar 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6-1m)
- update to 0.6

* Wed Feb 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-1m)
- initial build for Momonga Linux 4
